%define major	1
%define libname %mklibname %{name} %{major}

%define epoch	1
%define subrel	1

Summary:	Portable Windows Libary
Name:		pwlib
Version:	1.10.5
Release:	%mkrel 1
License:	GPL
Group:		System/Libraries
URL:		http://www.openh323.org/
Source0:	http://www.ekiga.org/admin/downloads/latest/sources/sources/%{name}-%{version}.tar.bz2
Patch0:		pwlib-1.8.0-libname.diff
Patch1:		pwlib-1.8.0-fix-libpt.so-symlink.diff
Patch2:		pwlib-1.9.2-lib64.patch
Patch3:		pwlib-1.10.1-rh-CVE-2007-4897.patch

BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf2.5 
BuildRequires:	bison
BuildRequires:  expat-devel
BuildRequires:	flex
BuildRequires:	gcc-c++
BuildRequires:	libavc1394-devel
BuildRequires:  dc1394-devel >= 0.9.5
BuildRequires:	libdv-devel
BuildRequires:	libraw1394-devel
BuildRequires:	openldap-devel
BuildRequires:	openssl-devel
BuildRequires:	SDL-devel
BuildRequires:	sed
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildConflicts: libdc1394-devel >= 2.0.0

Epoch:		%epoch

%description
PWLib is a moderately large class library that has its genesis many
years ago asa method to product applications to run on both Microsoft
Windows and Unix X-Window systems. It also was to have a Macintosh
port as well but this never eventeated. Unfortunately this package
contains no GUI code.

%package -n	%{libname}
Summary:	Portable Windows Libary
Group:		System/Libraries
Provides:	%{name}%{major} = %{version}-%{release}
Obsoletes:	%{name}%{major}
Obsoletes:	%{name}
Provides:	%{name} = %{version}-%{release}
Requires:	%{libname}-plugins >= %{epoch}:%{version}-%{release}

%description -n	%{libname}
PWLib is a moderately large class library that has its genesis many
years ago asa method to product applications to run on both Microsoft
Windows and Unix X-Window systems. It also was to have a Macintosh
port as well but this never eventuated.  Unfortunately this package
contains no GUI code.

%package -n	%{libname}-devel
Summary:	Portable Windows Libary development files
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	%{name}%{major}-devel = %{version}-%{release}
Obsoletes:	%{name}%{major}-devel
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{libname}-devel
Header files and libraries for developing applications that use pwlib.

%package -n	%{libname}-plugins
Summary:	Main plugins for pwlib
Group:		System/Libraries
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	lib%{name}-plugins = %{version}-%{release}
Obsoletes:	%{libname}-plugins-alsa 
Provides:	lib%{name}-plugins-alsa = %{version}-%{release}
Provides:	%{libname}-plugins-alsa = %{version}-%{release}
Provides:	%{name}-plugins-alsa = %{version}-%{release}
Obsoletes:	%{libname}-plugins-oss
Provides:	%{libname}-plugins-oss = %{version}-%{release}
Provides:	lib%{name}-plugins-oss = %{version}-%{release}
Provides:	%{name}-plugins-oss = %{version}-%{release}
Obsoletes:	%{libname}-plugins-v4l 
Provides:	%{libname}-plugins-v4l = %{version}-%{release}
Provides:	lib%{name}-plugins-v4l = %{version}-%{release}
Provides:	%{name}-plugins-v4l = %{version}-%{release}
Obsoletes:	%{libname}-plugins-v4l2
Provides:	%{libname}-plugins-v4l2 = %{version}-%{release}
Provides:	lib%{name}-plugins-v4l2 = %{version}-%{release}
Provides:	%{name}-plugins-v4l2 = %{version}-%{release}

%description -n	%{libname}-plugins
This package contains the oss, alsa, v4l1 and v4l2 plugins for pwlib

%package -n	%{libname}-plugins-dc
Summary:	Dc plugin for pwlib
Group:		System/Libraries
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	lib%{name}-plugins-dc = %{version}-%{release}
Provides:	%{name}-plugins-dc = %{version}-%{release}

%description -n	%{libname}-plugins-dc
This package contains the dc plugin for pwlib

%package -n	%{libname}-plugins-avc
Summary:	AVC plugin for pwlib
Group:		System/Libraries
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	%{name}%{major}-plugins-avc = %{version}-%{release}
Obsoletes:	%{name}%{major}-plugins-avc
Provides:	lib%{name}-plugins-avc = %{version}-%{release}
Provides:	%{name}-plugins-avc = %{version}-%{release}

%description -n	%{libname}-plugins-avc
This package contains the AVC plugin for pwlib

%prep

%setup -q

%patch0 -p0 -b .libname
%patch1 -p0 -b .libptsymlink
%patch2 -p1 -b .lib64
%patch3 -p0 -b .cve-2007-4897

#needed by patch2
autoconf

%build

%configure2_5x \
%if %mdkversion >= 1020
    --enable-v4l2 \
%endif
    --enable-plugins

%make OPTCCFLAGS="" RPM_OPT_FLAGS=""

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%if %mdkversion >= 1020
%multiarch_includes $RPM_BUILD_ROOT%{_includedir}/ptbuildopts.h
%multiarch_includes $RPM_BUILD_ROOT%{_includedir}/ptlib/pluginmgr.h
%endif

#fix PWLIBDIR
perl -pi -e 's|(PWLIBDIR.*)=.*|\1= %{_datadir}/pwlib|' %{buildroot}%{_datadir}/pwlib/make/ptbuildopts.mak

#fix doc perms
chmod a+r *.txt

#remove unpackaged files
rm -f %{buildroot}%{_datadir}/pwlib/make/*.{pat,in,lib64,libname,pwlibdir,includesdir}

# fix ptlib-config
install -d %{buildroot}%{_bindir}
ln -snf %{_datadir}/pwlib/make/ptlib-config %{buildroot}%{_bindir}/ptlib-config

# fix strange perms
find %{buildroot} -type d -perm 0700 -exec chmod 755 {} \;
find %{buildroot} -type f -perm 0555 -exec chmod 755 {} \;
find %{buildroot} -type f -perm 0444 -exec chmod 644 {} \;
find %{buildroot}%{_libdir} -type f -name '*.so*' -exec chmod 755 {} \;

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc *.txt
%attr(0755,root,root) %{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/ptlib-config
%attr(0755,root,root) %{_libdir}/*.so
%{_includedir}/*
%{_datadir}/pwlib

%files -n %{libname}-plugins
%defattr(-,root,root)
%dir %{_libdir}/pwlib
%dir %{_libdir}/pwlib/devices
%dir %{_libdir}/pwlib/devices/sound
%dir %{_libdir}/pwlib/devices/videoinput
%attr(0755,root,root) %{_libdir}/pwlib/devices/sound/alsa_pwplugin.so
%attr(0755,root,root) %{_libdir}/pwlib/devices/sound/oss_pwplugin.so
%attr(0755,root,root) %{_libdir}/pwlib/devices/videoinput/v4l_pwplugin.so
%if %mdkversion >= 1020
%attr(0755,root,root) %{_libdir}/pwlib/devices/videoinput/v4l2_pwplugin.so
%endif

%files -n %{libname}-plugins-dc
%defattr(-,root,root)
%attr(0755,root,root) %{_libdir}/pwlib/devices/videoinput/dc_pwplugin.so

%files -n %{libname}-plugins-avc
%defattr(-,root,root)
%attr(0755,root,root) %{_libdir}/pwlib/devices/videoinput/avc_pwplugin.so


%changelog
* Fri Nov 02 2007 Vioncent Danen <vdanen@mandriva.com> 1.10.5-1.1mdv2007.1
- P3: security fix for CVE-2007-4897

* Sun Mar 11 2007 Götz Waschk <waschk@mandriva.org> 1.10.5-1mdv2007.1
+ Revision: 141414
- new version

* Wed Feb 14 2007 Götz Waschk <waschk@mandriva.org> 1:1.10.4-1mdv2007.1
+ Revision: 120709
- fix buildrequires
- new version

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 1:1.10.3-1mdv2007.1
+ Revision: 111676
- new version
- unpack patches

  + David Walluck <walluck@mandriva.org>
    - Import pwlib



* Thu Sep 07 2006 Frederic Crozat <fcrozat@mandriva.com> 1:1.10.2-2mdv2007.0
- Use new upstream tarball

* Mon Sep 04 2006 Frederic Crozat <fcrozat@mandriva.com> 1:1.10.2-1mdv2007.0
- Release 1.10.2

* Tue Jun  6 2006 Gtz Waschk <waschk@mandriva.org> 1.10.1-1mdv2007.0
- new source URL
- New release 1.10.1

* Mon Mar 13 2006 Götz Waschk <waschk@mandriva.org> 1.10.0-1mdk
- New release 1.10.0

* Wed Feb 15 2006 Frederic Crozat <fcrozat@mandriva.com> 1:1.9.3-2mdk
- don't use cflags two times
- merge v4l2 package in main plugin package

* Tue Feb 14 2006 Gtz Waschk <waschk@mandriva.org> 1.9.3-1mdk
- drop patches 3,4
- New release 1.9.3

* Fri Jan 20 2006 Frederic Crozat <fcrozat@mandriva.com> 1:1.9.2-2mdk
- Clean specfile
- Patch4 (Luc Saillard): fix BGR/RBG with some quickcam webcams

* Wed Jan 18 2006 Frederic Crozat <fcrozat@mandriva.com> 1:1.9.2-1mdk
- Release 1.9.2
- Regenerate patch2
- Remove patches 3, 4 (merged upstream)
- Patch3: fix LDAP detection

* Fri Jan 13 2006 Frederic Crozat <fcrozat@mandriva.com> 1:1.8.7-4mdk
- Rebuild with latest libdc1394

* Wed Nov 30 2005 Frederic Crozat <fcrozat@mandriva.com> 1:1.8.7-3mdk
- Patch4 (Fedora): fix debuginfo package generation

* Wed Nov 16 2005 Frederic Crozat <fcrozat@mandriva.com> 1:1.8.7-2mdk
- Patch3 (Fedora): fix build with latest gcc

* Mon Sep 05 2005 Frederic Crozat <fcrozat@mandriva.com> 1.8.7-1mdk
- Release 1.8.7
- Remove patch10 (merged upstream)

* Tue Aug 30 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.8.4-6mdk
- Rebuild for libldap2.3

* Mon Jul 31 2005 Guillaume Bedot <litttletux@mandriva.org> 1:1.8.4-5mdk
- add epoch to the requires

* Mon Jul 31 2005 Guillaume Bedot <litttletux@mandriva.org> 1:1.8.4-4mdk
- revert to 1.8.4 (1.9.1 is a development release that can't be used with
 gnomemeeting)
- Patch10: allows to build with gcc4
- use mkrel

* Sat Jul 30 2005 Guillaume Bedot <litttletux@mandriva.org> 1.9.1-1mdk
- new release 1.9.1

* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.8.4-4mdk 
- readded P2 (extra lib64 fixes, aka define LIB, Gwenole Beauchesne)

* Tue Mar 08 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.4-2mdk 
- Fix distrib version detection

* Mon Mar 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.4-1mdk 
- Release 1.8.4

* Fri Feb 04 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.8.3-5mdk
- rebuild for ldap2.2_7

* Tue Feb 01 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.3-4mdk 
- Multiarch

* Mon Jan 03 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.3-3mdk 
- Add conditional build for mdk 10.1 to workaround gcc bug 
- Build v4l2 plugin as a subpackage

* Wed Dec 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.3-2mdk 
- Merge oss, alsa and v4l subpackages in one main package

* Mon Dec 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.3-1mdk
- Release 1.8.3

* Wed Nov 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.8.1-1mdk
- 1.8.1

* Wed Sep 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.8.0-1mdk
- 1.8.0
- rediff the libname patch
- drop the dc095 patch, another fix is in there
- reorder patches and clean up the spec file some

* Wed Aug 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.6-3mdk
- Patch19 (Debian) : fix build with libdc1394 0.9.5 (Mdk bug #10321)

* Fri Jun  4 2004 Laurent Montel <lmontel@mandrakesoft.com> 1.6.6-2mdk
- Rebuild

* Thu May 20 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.6.6-1mdk
- 1.6.6 (Janus patch 2)

* Mon Apr 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.6.5-5mdk
- fix problem with broken symlink for libpt.so (P18, should fix problem with devel provides for real)
- enable plugins and split them out into their own packages (from Robert Vojta <robert.vojta@mandrake.cz>)

* Mon Apr 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.6.5-4mdk
- do autoconf in %%prep, fcrozat says so

* Mon Apr 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.6.5-3mdk
- ARG! messed up the devel provides, fixed

* Mon Apr 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.6.5-2mdk
- hrmpf, fix devel provides
- drop P17, it's fixed upstream with a symlink now

* Mon Apr 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.6.5-1mdk
- 1.6.5
- drop P12, P14, P15 & P16 (fixed upstream)
- regenerated P17

* Mon Apr 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.5.2-4mdk
- fix path to ptlib-config (P17)
- run autoconf in %%build, not %%prep

* Mon Apr 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.5.2-3mdk
- fix buildrequires
- use %%make and %%makeinstall macro
- spec cosmetics

* Thu Feb 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.2-2mdk
- Patch16 (Debian) : security fix

* Thu Feb 12 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.2-1mdk
- Release 1.5.2
- Remove patch 6 & 7, 10, 11, 13, 15 (merged upstream)
- Regenerate patches 1, 12
- Patch15 : fix crash with Quickcam (force double buffering) (Mdk bug #6932)

* Thu Oct 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.0-16mdk
- Disable parallel compilation

* Fri Sep 19 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.5.0-15mdk
- fix lib64 & includesdir patches

* Fri Sep 12 2003 Florin <florin@mandrakesoft.com> 1.5.0-14mdk
- patch 14

* Wed Jul 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.5.0-13mdk
- Add missing build requires

* Thu Jul 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.5.0-12mdk
- Recompiled for latest deps

* Mon Jul  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.5.0-11mdk
- Update patch12: Fix lib install 

* Thu Jul  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.5.0-10mdk
- Fix bootstrapping (Oden)

* Thu Jul  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.5.0-9mdk
- Update patch 13, still some other pwlibdir fixes

* Wed Jul  2 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.5.0-8mdk
- Patch13: fix pwlib prefix in ptlib-config

* Thu Jun 26 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.5.0-7mdk
- Fix devel provides again...

* Tue Jun 24 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.5.0-6mdk
- Fix devel provides
- various cleaning in specfile
- Enable old patches (fix libname)
- Patch12: fix make install

* Fri Jun 20 2003 Florin <florin@mandrakesoft.com> 1.5.0-5mdk
- do not define PWLIBDIR and OPENH323_DIR anymore

* Thu Jun 19 2003 Florin <florin@mandrakesoft.com> 1.5.0-4mdk
- use the %makeinstall macro

* Wed Jun 18 2003 Florin <florin@mandrakesoft.com> 1.5.0-3mdk
- use mklibname (O.Thauvin's idea)

* Tue Jun 17 2003 Florin <florin@mandrakesoft.com> 1.5.0-2mdk
- forgot the pat patch

* Tue Jun 17 2003 Florin <florin@mandrakesoft.com> 1.5.0-1mdk
- 1.5.0
- D.Sandras patches

* Wed Mar 05 2003 Florin <florin@mandrakesoft.com> 1.4.7-3mdk
- rebuild

* Fri Jan 17 2003 Florin <florin@mandrakesoft.com> 1.4.7-2mdk
- bring back the includes patch for 9.0
- recompile for 9.0

* Fri Jan 17 2003 Florin <florin@mandrakesoft.com> 1.4.7-1mdk
- 1.4.7

* Mon Dec  2 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3.11-4mdk
- Remove Patch7 (includes) for obsolete <sys/vfs.h> hackage
- Patch6: Use system regex() and thus getting rid of non PIC code (RH)
- Patch7: Make it lib64 aware

* Tue Oct 29 2002 Florin <florin@mandrakesoft.com> 1.3.11-3mdk
- use another path for the mak files

* Tue Oct 29 2002 Florin <florin@mandrakesoft.com> 1.3.11-2mdk
- fix the devel PWLIBDIR variable in the mak files

* Wed Oct 23 2002 Florin <florin@mandrakesoft.com> 1.3.11-1mdk
- 1.3.11

* Tue Oct 08 2002 Laurent Grawet <laurent.grawet@ibelgique.com> 1.3.9-1mdk
- 1.3.9
- updated patch0, removed patch9

* Tue Aug 13 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3.3-2mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Aug 01 2002 Florin <florin@mandrakesoft.com> 1.3.3-1mdk
- 1.3.3
- patch8 is useless now

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.19-3mdk
- Automated rebuild with gcc3.2

* Wed May 29 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.19-2mdk
- Fix Provides: pwlib1-devel. You need %version-%release.

* Mon May 27 2002 Florin <florin@mandrakesoft.com> 1.2.19-1mdk
- 1.2.19

* Mon May 27 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.17-2mdk
- Patch7: Hack around <sys/vfs.h>
- Patch8: Misc C++ fixes and workarounds
- Patch9: Fix link with gcc3.1

* Fri May 03 2002 Florin <florin@mandrakesoft.com> 1.2.17-1mdk
- 1.2.17
- comment out the timout and the video patches

* Mon Mar 11 2002 Florin <florin@mandrakesoft.com> 1.2.12-2mdk
- add the video patch (patch 6)

* Mon Feb 25 2002 Florin <florin@mandrakesoft.com> 1.2.12-1mdk
- 1.2.12
- update the patches

* Thu Nov 29 2001 Florin <florin@mandrakesoft.com> 1.2.5-1mdk
- 1.2.5
- add the frame-rate patch to fix a disconnection timeout

* Mon Nov 19 2001 Florin <florin@mandrakesoft.com> 1.2.4-1mdk
- 1.2.4

* Fri Oct 19 2001 Florin <florin@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1

* Wed Sep 19 2001 Florin <florin@mandrakesoft.com> 1.1.36-6mdk
- update the fix patch

* Mon Sep 10 2001 Florin <florin@mandrakesoft.com> 1.1.36-5mdk
- add the fix patch

* Thu Sep 06 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1.36-4mdk
- BuildRequires:	flex
- remove BuildRequires:	libstdc++-devel

* Wed Aug 29 2001 Florin Grad <florin@mandrakesoft.com> 1.1.36-3mdk
- link with libstdc++ (modify the fix patch)

* Mon Aug 20 2001 Florin Grad <florin@mandrakesoft.com> 1.1.36-2mdk
- the make patch fix the compilation with -lpt
- correction on the Group entry

* Tue Aug 14 2001 Florin Grad <florin@mandrakesoft.com> 1.1.36-1mdk
- 1.1.36
- update the make patch

* Sun Jul 22 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.1.34-1mdk
- 1.1.34 (regenerated patch 0 and 1, removed patch 3 integrated upstream)

* Sat Jun 23 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1.33-1mdk
- 1.1.33

*  Sun Jun  3 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.1.19-5mdk
- Add patch to fix build on newer gccs.

* Fri Mar 23 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1.19-4mdk
- PPC: build with gcc
- Requires: %%version-%%release and not only %%version

* Mon Jan 22 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1.19-3mdk
- Fix build on PPC
- Bzip2 sources

* Sun Jan 21 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1.19-2mdk
- Fix %%changelog to allow automatic rebuild
- Add description for SRPM package

* Mon Jan 15 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.1.19-1mdk
- first Linux-Mandrake version
